nagios_host 'elgaronline.com' do
	options 'use' => 'noping-host-https',
		'alias' => 'EEP web-3, web-26 AWS',
		'address' => 'www.elgaronline.com',
		'contact_groups' => 'cs_escalation',
		'notes' => 'fab eep.restart:app_name=web,environment=prod'
end
nagios_service 'elgaronline.com-Homepage' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Homepage',
		'check_command' => 'check_https!www.elgaronline.com!15!9!',
		'notes' => 'fab eep.restart:app_name=web,environment=prod'
end
nagios_service 'elgaronline.com-Browse' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Browse',
		'contact_groups' => 'cs_escalation',
		'check_command' => 'https_content_check!\'/browse\'!10!15!\'Browse by title\'!',
		'notes' => 'fab eep.restart:app_name=web,environment=prod'
end
nagios_service 'elgaronline.com-Search' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elgaronline.com',
		'display_name' => 'Search',
		'contact_groups' => 'cs_escalation',
		'check_command' => 'https_content_check!\'/search?q=ethics&searchBtn=Search\'!10!15!\'Ethics\'!',
		'notes' => 'fab eep.restart:app_name=web,environment=prod'
end
nagios_service 'elgaronline.com-AMS' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'elgaronline.com',
		'display_name' => 'AMS',
		'contact_groups' => 'cs_escalation',
		'check_command' => 'check_loader_auth!ams.elgaronline.com!\'/login\'!eep:eep2012!AMS!12!8!',
		'notes' => 'fab eep.restart:app_name=amx,environment=prod'
end

#------------------------------------------------------------------------------------
# FAIL OPEN
# Checks the production homepage and makes sure we're not in fail open by checking
# that the string "Provisional Account" is NOT in the page.
#
# Node-specific: NO, Pager-level: NO
#------------------------------------------------------------------------------------
nagios_service 'www.elgaronline.com-Live Site Fail Open' do
        options 'use' => 'sbo-service-pf',
                'host_name' => 'elgaronline.com',
                'display_name' => 'Live Site Fail Open',
                'check_command' => 'http_negate_content_check_basic_auth!elgaronline.com!eep_aws:eep2016!"provisional account"',
                'contact_groups' => 'cs_escalation',
                'notes' => 'EEP Live Site Failopen',
                'notes_url' => 'www.elgaronline.com'
end
