nagios_host 'sipriyearbook.org' do
	options 'use' => 'noping-host-https',
		'alias' => 'OUP SPRI web-2 web-3 AWS IRL',
		'address' => 'www.sipriyearbook.org',
		'contact_groups' => 'cs_escalation,oup',
		'notes' => 'OUP Legacy Sipri Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/152142042/Server+Setup+-+OUP+SIPRI'
end
nagios_service 'sipriyearbook.org-Homepage' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'sipriyearbook.org',
		'display_name' => 'Homepage',
		'check_command' => 'http_content_check!/!9!15!SIPRI!YEARBOOK!PubFactory!',
		'notes' => 'OUP Legacy Sipri Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/152142042/Server+Setup+-+OUP+SIPRI'
end
nagios_service 'sipriyearbook.org-Search' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'sipriyearbook.org',
		'display_name' => 'Search',
		'check_command' => 'http_content_check!/search?q=test!9!15!SIPRI!Search!Browse!',
		'contact_groups' => 'admins_email_only,oup',
		'notes' => 'OUP Legacy Sipri Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/152142042/Server+Setup+-+OUP+SIPRI'
end
nagios_service 'sipriyearbook.org-Loader' do
	options 'use' => 'sbo-service-nocontact',
		'host_name' => 'sipriyearbook.org',
		'display_name' => 'Loader',
		'check_command' => 'check_loader_auth!admin.prod.sipriyearbook.org!\'/loader/login?redirect=/loader/\'!sipri:sipri2010!Portal!12!8!',
		'notes' => 'OUP Legacy Sipri Site',
		'notes_url' => 'https://safari.atlassian.net/wiki/spaces/OUP/pages/152142042/Server+Setup+-+OUP+SIPRI'
end
