nagios_host 'generic-host' do
	options 'name'                         => 'generic-host',
		'notifications_enabled'        => '1',
		'event_handler_enabled'        => '1',
		'flap_detection_enabled'       => '0',
		'process_perf_data'            => '1',
		'retain_status_information'    => '1',
		'retain_nonstatus_information' => '1',
		'check_command'                => 'check-host-alive',
		'max_check_attempts'           => '7',
		'retry_check_interval'         => '1 ',
		'notification_interval'        => '15',
		'notification_period'          => '24x7',
		'notification_options'         => 'd,r',
		'register'                     => '0'
end

nagios_host 'noping-host' do
	options 'name'                         => 'noping-host',
		'notifications_enabled'        => '1',
		'event_handler_enabled'        => '1',
		'flap_detection_enabled'       => '0',
		'process_perf_data'            => '1',
		'check_command'                => 'check_http',
		'retain_status_information'    => '1',
		'retain_nonstatus_information' => '1',
		'max_check_attempts'           => '10',
		'notification_interval'        => '15 ',
		'notification_period'          => '24x7',
		'notification_options'         => 'd,u,r',
		'register'                     => '0'
end


nagios_host 'noping-host-https' do
	options 'name'                         => 'noping-host-https',
		'notifications_enabled'        => '1',
		'event_handler_enabled'        => '1',
		'flap_detection_enabled'       => '0',
		'process_perf_data'            => '1',
		'check_command'                => 'check_https',
		'retain_status_information'    => '1',
		'retain_nonstatus_information' => '1',
		'max_check_attempts'           => '10',
		'notification_interval'        => '15 ',
		'notification_period'          => '24x7',
		'notification_options'         => 'd,u,r',
		'register'                     => '0'
end

nagios_host 'check_https_basic_auth' do
	options 'name'                         => 'check_https_basic_auth',
		'notifications_enabled'        => '1',
		'event_handler_enabled'        => '1',
		'flap_detection_enabled'       => '0',
		'process_perf_data'            => '1',
		'check_command'                => 'check_https_basic_auth',
		'retain_status_information'    => '1',
		'retain_nonstatus_information' => '1',
		'max_check_attempts'           => '10',
		'notification_interval'        => '15 ',
		'notification_period'          => '24x7',
		'notification_options'         => 'd,u,r',
		'register'                     => '0'
end

nagios_host 'tempe-host' do
	options 'name'                         => 'tempe-host',
		'notifications_enabled'        => '1',
		'event_handler_enabled'        => '1',
		'flap_detection_enabled'       => '1',
		'process_perf_data'            => '1',
		'retain_status_information'    => '1',
		'retain_nonstatus_information' => '1',
		'notification_period'          => 'non-workhours',
		'check_command'                => 'check-host-alive',
		'max_check_attempts'           => '10',
		'notification_interval'        => '15',
		'notification_options'         => 'd,r',
		'register'                     => '0'
end

nagios_host 'esxbos-host' do
	options 'name'                         => 'esxbos-host',
		'notifications_enabled'        => '1',
		'event_handler_enabled'        => '1',
		'flap_detection_enabled'       => '1',
		'process_perf_data'            => '1',
		'retain_status_information'    => '1',
		'retain_nonstatus_information' => '1',
		'check_command'                => 'check-host-alive',
		'max_check_attempts'           => '10',
		'notification_interval'        => '15',
		'notification_period'          => '24x7',
		'notification_options'         => 'd,r',
		'register'                     => '0'
end

nagios_host 'nonprod-host' do
	options 'name'                         => 'nonprod-host',
		'notifications_enabled'        => '1',
		'event_handler_enabled'        => '1',
		'flap_detection_enabled'       => '1',
		'process_perf_data'            => '1',
		'retain_status_information'    => '1',
		'retain_nonstatus_information' => '1',
		'notification_period'          => '24x7',
		'check_command'                => 'check-host-alive',
		'max_check_attempts'           => '10',
		'notification_interval'        => '15',
		'notification_options'         => 'd,u,r',
		'register'                     => '0'
end

nagios_host 'linux-server' do
	options 'name'                  => 'linux-server',
		'use'                   => 'generic-host',
		'check_period'          => '24x7',
		'check_interval'        => '10',
		'retry_interval'        => '2',
		'max_check_attempts'    => '3',
		'check_command'         => 'check-host-alive',
		'notification_period'   => 'workhours',
		'notification_interval' => '120',
		'notification_options'  => 'd,u,r',
		'contact_groups'        => 'admins',
		'register'              => '0'
end

nagios_host 'generic-switch' do
	options 'name'                  => 'generic-switch',
		'use'                   => 'generic-host',
		'check_period'          => '24x7',
		'check_interval'        => '5',
		'retry_interval'        => '1',
		'max_check_attempts'    => '10',
		'check_command'         => 'check-host-alive',
		'notification_period'   => '24x7',
		'notification_interval' => '30',
		'notification_options'  => 'd,r',
		'contact_groups'        => 'admins',
		'register'              => '0'
end

